# Module `root`

awesome root window API

### Info:

- Copyright: 2008-2009 Julien Danjou
- Author: Julien Danjou <julien@danjou.info>

## Functions

fake_input (event_type, detail, x, y) | Send fake events.
keys (keys_array) | Get or set global key bindings.
buttons (button_table) | Get or set global mouse bindings.
cursor (cursor_name) | Set the root cursor
drawins () | Get the drawins attached to a screen.
wallpaper (pattern) | Get the wallpaper as a cairo surface or set it as a cairo pattern.
size () | Get the size of the root window.
tags () | Get the attached tags.

## Functions

Methods

fake_input (event_type, detail, x, y)
  Send fake events. Usually the currently focused client will get it.
  - event_type The event type: keypress, keyrelease, buttonpress, buttonrelease or motion_notify.
  - detail The detail: in case of a key event, this is the keycode to send, in case of a button event this is the number of the button. In case of a motion event, this is a boolean value which if true makes the coordinates relatives.
  - x In case of a motion event, this is the X coordinate.
  - y In case of a motion event, this is the Y coordinate.
keys (keys_array)
  Get or set global key bindings. These bindings will be available when you press keys on the root window.
  - keys_array table or nil An array of key binding objects, or nothing.

  ### Returns:

  The array of key bindings objects of this client.
buttons (button_table)
  Get or set global mouse bindings. This binding will be available when you click on the root window.
  - button_table An array of mouse button bindings objects, or nothing.

  ### Returns:

  The array of mouse button bindings objects.
cursor (cursor_name)
  Set the root cursor The possible values are:

  Imported documentation

  num_glyphs
  cursor
  arrow
  basedarrowdown
  basedarrowup
  boat
  bogosity
  bottomleftcorner
  bottomrightcorner
  bottom_side
  bottom_tee
  box_spiral
  center_ptr
  circle
  clock
  coffee_mug
  cross
  cross_reverse
  crosshair
  diamond_cross
  dot
  dotbox
  double_arrow
  draft_large
  draft_small
  draped_box
  exchange
  fleur
  gobbler
  gumby
  hand
  hand
  heart
  icon
  iron_cross
  left_ptr
  left_side
  left_tee
  leftbutton
  ll_angle
  lr_angle
  man
  middlebutton
  mouse
  pencil
  pirate
  plus
  question_arrow
  right_ptr
  right_side
  right_tee
  rightbutton
  rtl_logo
  sailboat
  sbdownarrow
  sbhdouble_arrow
  sbleftarrow
  sbrightarrow
  sbuparrow
  sbvdouble_arrow
  shuttle
  sizing
  spider
  spraycan
  star
  target
  tcross
  topleftarrow
  topleftcorner
  toprightcorner
  top_side
  top_tee
  trek
  ul_angle
  umbrella
  ur_angle
  watch
  xterm

  - cursor_name A X cursor name.
drawins ()
  Get the drawins attached to a screen.

  ### Returns:

  A table with all drawins.
wallpaper (pattern)
  Get the wallpaper as a cairo surface or set it as a cairo pattern.
  - pattern A cairo pattern as light userdata

  ### Returns:

  A cairo surface or nothing.
size ()
  Get the size of the root window.

  ### Returns:

  1. Width of the root window.
  2. height of the root window.
tags ()
  Get the attached tags.

  ### Returns:

  A table with all tags.

generated by LDoc 1.4.6 Last updated 2017-01-20 01:17:18